[openwrt/openwrt] bcm27xx: improve image generation script
LEDE Commits
lede-commits at lists.infradead.org
Thu Feb 1 02:33:37 PST 2024
noltari pushed a commit to openwrt/openwrt.git, branch openwrt-23.05:
https://git.openwrt.org/9a869950c11e3701bee034b7ee398752be3bda22
commit 9a869950c11e3701bee034b7ee398752be3bda22
Author: Álvaro Fernández Rojas <noltari at gmail.com>
AuthorDate: Tue Jan 30 20:12:25 2024 +0100
bcm27xx: improve image generation script
- Exit immediately on a non-zero status.
- Remove empty lines.
- Remove unused variables.
- Add missing ptgen variables for readability.
- Refactor SYNTAX if block.
(cherry picked from commit 96b03ff2476edb4d08fb4b91fdf80be7aa95ddd8)
Signed-off-by: Álvaro Fernández Rojas <noltari at gmail.com>
---
target/linux/bcm27xx/image/gen_rpi_sdcard_img.sh | 17 ++++++++---------
1 file changed, 8 insertions(+), 9 deletions(-)
diff --git a/target/linux/bcm27xx/image/gen_rpi_sdcard_img.sh b/target/linux/bcm27xx/image/gen_rpi_sdcard_img.sh
index 5e8fb2769c..488a3517c7 100755
--- a/target/linux/bcm27xx/image/gen_rpi_sdcard_img.sh
+++ b/target/linux/bcm27xx/image/gen_rpi_sdcard_img.sh
@@ -1,10 +1,11 @@
#!/bin/sh
-set -x
-[ $# -eq 5 ] || {
+set -e -x
+
+if [ $# -ne 5 ]; then
echo "SYNTAX: $0 <file> <bootfs image> <rootfs image> <bootfs size> <rootfs size>"
exit 1
-}
+fi
OUTPUT="$1"
BOOTFS="$2"
@@ -12,18 +13,16 @@ ROOTFS="$3"
BOOTFSSIZE="$4"
ROOTFSSIZE="$5"
+align=4096
head=4
+kernel_type=c
+rootfs_type=83
sect=63
-set $(ptgen -o $OUTPUT -h $head -s $sect -l 4096 -t c -p ${BOOTFSSIZE}M -t 83 -p ${ROOTFSSIZE}M)
+set $(ptgen -o $OUTPUT -h $head -s $sect -l $align -t $kernel_type -p ${BOOTFSSIZE}M -t $rootfs_type -p ${ROOTFSSIZE}M)
BOOTOFFSET="$(($1 / 512))"
-BOOTSIZE="$(($2 / 512))"
ROOTFSOFFSET="$(($3 / 512))"
-ROOTFSSIZE="$(($4 / 512))"
dd bs=512 if="$BOOTFS" of="$OUTPUT" seek="$BOOTOFFSET" conv=notrunc
dd bs=512 if="$ROOTFS" of="$OUTPUT" seek="$ROOTFSOFFSET" conv=notrunc
-
-
-
More information about the lede-commits
mailing list